package cn.cecep.talroad.service.impl.analysis;

import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import cn.cecep.talroad.mapper.analysis.BasThresholdConfigMapper;
import cn.cecep.talroad.domain.analysis.BasThresholdConfig;
import cn.cecep.talroad.service.analysis.BasThresholdConfigService;
import org.springframework.transaction.annotation.Transactional;

@Service("basThresholdConfigNewService")
public class BasThresholdConfigServiceImpl extends ServiceImpl<BasThresholdConfigMapper, BasThresholdConfig> implements BasThresholdConfigService{

    @Override
    public int updateBatch(List<BasThresholdConfig> list) {
        return baseMapper.updateBatch(list);
    }
    @Override
    @Transactional(rollbackFor = Exception.class)
    public int updateBatchSelective(List<BasThresholdConfig> list) {
        return baseMapper.updateBatchSelective(list);
    }
    @Override
    public int batchInsert(List<BasThresholdConfig> list) {
        return baseMapper.batchInsert(list);
    }
}
